Bug 52609 - RTL-8139 not found
Summary: RTL-8139 not found
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: roswell
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-26 17:20 UTC by Markus
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 16:29:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markus 2001-08-26 17:20:17 UTC
Description of Problem:

the realtek network card RTL-8139 (drivername: 8139too, device: /dev/eth)
was not found by anaconda. after makeing a new kernel* with this driver,
kudzu found it without problems. i had this problem also with RH7.1. 

*btw: compiling with MXT activated did not work (make, Error 1 or 2, i dont
know)

Version-Release number of selected component (if applicable):


How Reproducible:

new installation

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

my machine: the last "aldi"-laptop - very popular in germany. nearly the
same like the asus-notebooks.

Comment 1 Bill Nottingham 2001-08-27 02:08:27 UTC
lspci -v output?

Comment 2 Markus 2001-08-27 14:41:56 UTC
[root@localhost root]# lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
        Subsystem: Asustek Computer, Inc.: Unknown device 1040
        Flags: bus master, medium devsel, latency 64
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: f0000000-f7ffffff

00:06.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at f800 [size=256]
        Capabilities: [c0] Power Management version 2

00:06.1 Communication controller: ESS Technology ESS Modem (rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: medium devsel, IRQ 10
        I/O ports at f400 [disabled] [size=256]
        Capabilities: [c0] Power Management version 2

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fcf0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: medium devsel, IRQ 9
        I/O ports at fcc0 [disabled] [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 (rev 10)
        Subsystem: Asustek Computer, Inc.: Unknown device 1045
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at f000 [size=256]
        Memory at fedffc00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 0, IRQ 9
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001
 
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 0
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=09, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
 16-bit legacy interface ports at 0001
 
01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/MX-/IX (rev 11)
(prog-if 00 [VGA])
        Subsystem: Asustek Computer, Inc.: Unknown device 1042
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 9
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0

Comment 3 Michael Fulbright 2001-08-27 15:10:11 UTC
Brent please test this with our latest builds.

Comment 4 Bill Nottingham 2001-08-27 16:56:42 UTC
Looking at the pcitable, it's in there...

Comment 5 Markus 2001-08-27 21:42:29 UTC
@notting: uuups, you want the lspci -v output from the standard kernel? it was
from my own kernel (->bug description). sorry. there you can the see the bug...

[root@localhost root]# lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
        Subsystem: Asustek Computer, Inc.: Unknown device 1040
        Flags: bus master, medium devsel, latency 64
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: f0000000-f7ffffff

00:06.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at f800 [size=256]
        Capabilities: [c0] Power Management version 2

00:06.1 Communication controller: ESS Technology ESS Modem (rev 12)
        Subsystem: Asustek Computer, Inc.: Unknown device 1049
        Flags: medium devsel, IRQ 10
        I/O ports at f400 [disabled] [size=256]
        Capabilities: [c0] Power Management version 2

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fcf0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: medium devsel, IRQ 9
        I/O ports at fcc0 [disabled] [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 (rev 10)
        Subsystem: Asustek Computer, Inc.: Unknown device 1045
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at f000 [size=256]
        Memory at fedffc00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 0, IRQ 9
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001
 
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
        Subsystem: Asustek Computer, Inc.: Unknown device 1044
        Flags: bus master, medium devsel, latency 0
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=09, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001
 
01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/MX-/IX (rev 11)
(prog-if 00 [VGA])
        Subsystem: Asustek Computer, Inc.: Unknown device 1042
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 9
        Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
        Capabilities: [80] AGP version 1.0

Comment 6 Markus 2001-08-27 21:52:56 UTC
hmm, please ignore my last posting. now it seems to work with the
standardkernel, but i cant test it this week. maybe kudzu made this possible...

Comment 7 Jeremy Katz 2001-08-28 01:32:32 UTC
Are you sure it's not working with the current beta using the bootnet.img?  This
works for me (although with a slightly different card)

Comment 8 Markus 2001-08-28 16:48:21 UTC
sorry, what is the bootnet.img? i made the absolutely standard installation of
7.1.94. (always yes-clickin': 800x600, laptop-installation,...). what's maybe
interesting: i searched for "Realtek" in /etc after installation. i found it in
/etc/sysconfig/hwconf. but the driver was "unknown" or something like that. in
anaconda, there came no configuration of my network-card. i compiled a new
kernel with this driver and after rebooting, kudzu found it and everything works
fine...

Comment 9 Jeremy Katz 2001-08-28 21:38:57 UTC
Was this a network or a CDROM based install?

Comment 10 Markus 2001-08-28 22:21:56 UTC
CDROM

Comment 11 Jeremy Katz 2001-09-06 00:01:08 UTC
Hmm...  works there for me as well.  Can you try again and on tty2, run (without
the backticks)
`python -c "import kudzu; print kudzu.probe(kudzu.CLASS_NETWORK,
kudzu.BUS_UNSPEC, 0)`

and see if it detects the card?  You don't need to do a full install, just
starting the installer should be enough.

Comment 12 Brent Fox 2001-09-17 14:57:48 UTC
Any more info here?

Comment 13 Brent Fox 2001-09-27 18:51:32 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.